## VitexSoftware-EaseFramework.zip

=== Makefile ===
#DESTDIR ?= debian/ease-framework/DEBIAN
#libdir  ?= /usr/share/php/Ease
#docdir  ?= /doc/ease-framework/html

all: build install

fresh:
	git pull origin master
	PACKAGE=`cat debian/composer.json | grep '"name"' | head -n 1 |  awk -F'"' '{print $4}'`; \
	VERSION=`cat debian/composer.json | grep version | awk -F'"' '{print $4}'`; \
	dch -b -v "${VERSION}" --package ${PACKAGE} "$CHANGES" \
	composer install
	
#install:
#	mkdir -p $(DESTDIR)$(libdir)
#	cp -r src/Ease/ $(DESTDIR)$(libdir)
#	cp -r debian/composer.json $(DESTDIR)$(libdir)
#	mkdir -p $(DESTDIR)$(docdir)
#	cp -r docs $(DESTDIR)$(docdir)
	
#build: doc
#	echo build;	

clean:
	rm -rf vendor composer.lock
	rm -rf debian/ease-framework
	rm -rf debian/ease-framework-doc
	rm -rf debian/*.log debian/tmp
	rm -rf docs/*

apigen:
	VERSION=`cat debian/composer.json | grep version | awk -F'"' '{print $4}'`; \
	apigen generate --source src --destination docs --title "Ease PHP Framework ${VERSION}" --charset UTF-8 --access-levels public --access-levels protected --php --tree


composer:
	composer update

test:
	echo sudo service postgresql start ; sudo service postgresql start
	phinx migrate -c tests/phinx.yml

phpunit:
	vendor/bin/phpunit --bootstrap tests/Bootstrap.php --configuration phpunit.xml

deb:
	dch -i "`git log -1 --pretty=%B`"
	debuild -i -us -uc -b

rpm:
	rpmdev-bumpspec --comment="`git log -1 --pretty=%B`" --userstring="Vítězslav Dvořák <info@vitexsoftware.cz>" ease-framework.spec
	rpmbuild -ba ease-framework.spec

docker: dimage

dimage:
	docker build -t vitexsoftware/easephpframework .


release: fresh deb docker
	

openbuild:
	

.PHONY : install build

=== debian/changelog ===
ease-framework (1.29) UNRELEASED; urgency=medium

  * Twitter Bootstrap support was removed
  * We Use Default composer versions
  * Debian Composer update

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Thu, 16 May 2019 15:07:31 +0200

ease-framework (1.27) UNRELEASED; urgency=medium

  * Debian Package updated for use with composer 2.0
  * Improved rendering of Scripts and Styles into webpage
  * Merge branch 'master' of github.com:VitexSoftware/EaseFramework  #
    Conflicts: # debian/composer.json
  * Debian Composer update

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Thu, 16 May 2019 15:05:39 +0200

ease-framework (1.20) UNRELEASED; urgency=medium

  [ vitex ]
  * isAssoc isStatic

  [ Vítězslav Dvořák ]
  * Merge branch 'master' of github.com:VitexSoftware/EaseFramework  #
    Conflicts: # debian/composer.json

 -- Vítězslav Dvořák <info@vitexsoftware.cz>  Mon, 13 May 2019 18:38:00 +0200

ease-framework (1.18) experimental; urgency=medium

  [ Vítězslav Dvořák ]
  * Package build fixed
  * Dolar fix
  * Debian Paths to jquery.js fixed
  * Locale fixed
  * Ubuntu 18.04 compatible
  * Merge origin/master  Conflicts:  debian/composer.json
  * isAssoc isStatic

 -- vitex <vitex@hosting.vitexsoftware.cz>  Fri, 07 Dec 2018 22:01:05 +0100

ease-framework (1.4.9) experimental; urgency=medium

  * Include Script to page fixed

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Fri, 01 Jun 2018 09:58:21 +0200

ease-framework (1.4.8) experimental; urgency=low

  * release test
  * v1.4.2 Release  logging classes fix
  * package build cleanup
  * Clover generating fixed for Scrutinizer
  * SQL Functions moved from Brick to separate trait Orm

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Fri, 01 Jun 2018 08:47:35 +0200

=== debian/control ===
Source: ease-framework
Build-Depends: debhelper (>= 7.0.50~)
Section: web
Standards-Version: 3.9.8
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Homepage: https://github.com/VitexSoftware/EaseFramework

Package: ease-framework
Depends: ${misc:Depends},libjs-jquery (>= 1.4), libjs-jquery-ui, php-mail, php-mail-mime, libjs-bootstrap, php-mdb2-driver-mysql, composer
Architecture: all
Suggests: composer
Section: web
Priority: optional
Description: Simple PHP framework
 Support ORM, HTML5, jQueryUI and TwitterBootstrap Classes.

=== debian/rules ===
#!/usr/bin/make -f

PKG_PATH:=/usr/share/php/Ease
BUILD_DIR:=build

%:
	dh $@

override_dh_auto_test:
	echo tests temporarly skipped for now in rules file

override_dh_install:
	dh_install
	./debian/fixversion.sh
	sed -e "/\$$bootstrapCSS/c\          \public \$$bootstrapCSS        = \'\/javascript\/bootstrap\/css\/bootstrap.min.css\';"     -i    debian/ease-framework/usr/share/php/Ease/TWB/WebPage.php 
	sed -e "/\$$bootstrapThemeCSS/c\     \public \$$bootstrapThemeCSS   = \'\/javascript\/bootstrap\/css\/bootstrap-theme.min.css\';"     -i    debian/ease-framework/usr/share/php/Ease/TWB/WebPage.php 
	sed -e "/\$$bootstrapJavaScript/c\   \public \$$bootstrapJavaScript = \'\/javascript\/bootstrap\/js\/bootstrap.min.js\';"     -i    debian/ease-framework/usr/share/php/Ease/TWB/WebPage.php 
	sed -e "/\$$jqueryJavaScript/c\      \public \$$jqueryJavaScript    = \'\/javascript\/jquery\/jquery.min.js\';"     -i    debian/ease-framework/usr/share/php/Ease/WebPage.php 
	echo "require_once 'Mail.php';"  >> debian/ease-framework/usr/share/php/Ease/Mailer.php
	echo "require_once 'Mail/mime.php';" >> debian/ease-framework/usr/share/php/Ease/Mailer.php
